Loading...
Searching...
No Matches
svn_fs_fsfs_info_t Struct Reference
Filesystem information subsystem

A structure that provides some information about a filesystem. More...

`#include <svn_fs.h>`

## Data Fields

const char * | fs_type
| Filesystem backend (fs_type), i.e., the string SVN_FS_TYPE_FSFS.
int | shard_size
| Shard size, or 0 if the filesystem is not currently sharded.
svn_revnum_t | min_unpacked_rev
| The smallest revision (as svn_revnum_t) which is not in a pack file.
svn_boolean_t | log_addressing
| TRUE if logical addressing is enabled for this repository.

## Detailed Description

A structure that provides some information about a filesystem.

Returned by svn_fs_info() for SVN_FS_TYPE_FSFS filesystems.

Note
  Fields may be added to the end of this structure in future versions. Therefore, users shouldn't allocate structures of this type, to preserve binary compatibility.

Since
  New in 1.9.

Definition at line 3416 of file svn_fs.h.

## Field Documentation

## fs_type

const char* svn_fs_fsfs_info_t::fs_type

Filesystem backend (fs_type), i.e., the string SVN_FS_TYPE_FSFS.

Definition at line 3419 of file svn_fs.h.

## log_addressing

svn_boolean_t svn_fs_fsfs_info_t::log_addressing

TRUE if logical addressing is enabled for this repository.

FALSE if repository uses physical addressing.

Definition at line 3430 of file svn_fs.h.

## min_unpacked_rev

svn_revnum_t svn_fs_fsfs_info_t::min_unpacked_rev

The smallest revision (as svn_revnum_t) which is not in a pack file.

Note
  Zero (0) if (but not iff) the format does not support packing.

Definition at line 3426 of file svn_fs.h.

## shard_size

int svn_fs_fsfs_info_t::shard_size

Shard size, or 0 if the filesystem is not currently sharded.

Definition at line 3422 of file svn_fs.h.

The documentation for this struct was generated from the following file:

- svn_fs.h